org.apache.ode.bpel.pmapi

## Interface FailureType

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    FailureTypeImpl

      public interface FailureType
      extends org.apache.xmlbeans.XmlObject

  An XML FailureType(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FailureType.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExplanation()` Gets the "explanation" element
    `void` | `setExplanation(java.lang.String explanation)` Sets the "explanation" element
    `org.apache.xmlbeans.XmlString` | `xgetExplanation()` Gets (as xml) the "explanation" element
    `void` | `xsetExplanation(org.apache.xmlbeans.XmlString explanation)` Sets (as xml) the "explanation" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getExplanation

          java.lang.String getExplanation()

      Gets the "explanation" element

    - #### xgetExplanation

          org.apache.xmlbeans.XmlString xgetExplanation()

      Gets (as xml) the "explanation" element

    - #### setExplanation

          void setExplanation(java.lang.String explanation)

      Sets the "explanation" element

    - #### xsetExplanation

          void xsetExplanation(org.apache.xmlbeans.XmlString explanation)

      Sets (as xml) the "explanation" element